Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.request
Class ActionContext

    java.lang.Object
      juzu.request.RequestContext
          juzu.request.ActionContext

    public class ActionContext

extends RequestContext

Author:
  Julien Viet

Constructor Summary
`ActionContext(juzu.impl.request.Request request, juzu.impl.plugin.application.Application application, juzu.impl.request.Method method, juzu.impl.bridge.spi.ActionBridge bridge)`

Method Summary
`Response.View` | `createResponse(juzu.impl.request.Method<Phase.View> target)`
`Response.View` | `createResponse(juzu.impl.request.Method<Phase.View> target, Object arg)`
`Response.View` | `createResponse(juzu.impl.request.Method<Phase.View> target, Object[] args)`
`ClientContext` | `getClientContext()`
`Phase.Action` | `getPhase()`

Methods inherited from class juzu.request.RequestContext
`createActionDispatch, createActionDispatch, createActionDispatch, createDispatch, createResourceDispatch, createResourceDispatch, createResourceDispatch, createViewDispatch, createViewDispatch, createViewDispatch, getApplication, getApplicationContext, getHttpContext, getMethod, getParameters, getProperty, getSecurityContext, getUserContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionContext

    public ActionContext(juzu.impl.request.Request request,
                         juzu.impl.plugin.application.Application application,
                         juzu.impl.request.Method method,
                         juzu.impl.bridge.spi.ActionBridge bridge)

Method Detail

### getClientContext

    public ClientContext getClientContext()

### getPhase

    public Phase.Action getPhase()

  Specified by:
    `getPhase` in class `RequestContext`

### createResponse

    public Response.View createResponse(juzu.impl.request.Method<Phase.View> target)
                                 throws IllegalStateException

  Throws:
    `IllegalStateException`

### createResponse

    public Response.View createResponse(juzu.impl.request.Method<Phase.View> target,
                                        Object arg)
                                 throws IllegalStateException

  Throws:
    `IllegalStateException`

### createResponse

    public Response.View createResponse(juzu.impl.request.Method<Phase.View> target,
                                        Object[] args)
                                 throws IllegalStateException

  Throws:
    `IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 eXo Platform SAS. All Rights Reserved.